summaryrefslogtreecommitdiffabout
path: root/delta.jscad
Side-by-side diff
Diffstat (limited to 'delta.jscad') (more/less context) (ignore whitespace changes)
-rw-r--r--delta.jscad17
1 files changed, 17 insertions, 0 deletions
diff --git a/delta.jscad b/delta.jscad
index 5be6715..fd36ba5 100644
--- a/delta.jscad
+++ b/delta.jscad
@@ -1,40 +1,57 @@
var PRINT = {
layer_height: 0.2,
extrusion_width: 0.4,
fit_tolerance: .2, slide_tolerance: .4, play_tolerance: .6
};
var CONFIG = {
+ side: {
+ el: 240, // side extrusion length
+ tl: 240+2*70, // triangle side length
+ gap: 9 // vertical gap between side extrusions
+ },
+ column: {
+ h: 600 // column height
+ },
+ heatbed: {
+ r: 220/2, // heatbed radius
+ sr: 220/2-4.5, // radius of the screwholes circle
+ h: 3+1.5 // thickness (including insulation)
+ },
+ glass: {
+ r: 195/2, // glass radius
+ h: 3 // glass thickness
+ },
hotend: {
h: 62.4, // full assembly height
groove: { d:12, h:6 }, // grove diameter and height
ungroove: { d:16, above:3.7, below: 3+4 }
},
effector: {
h: 6,
o: 20, // offset to the rod mounts line
rods_apart: 40,
cone: { shell: 1, angle: Math.PI/6 },
rodend: {
joint_w: 7, // thickness of the joint
screw_l: 20-1, // 20 with the head
screw_d: 3
},
hotend: { margin: 2 },
hinge: {
d: 3, w: 5, margin: 2.5,
h: 1+(6+3.7)/2, // elevation + grove + top
e: 1 // elevation
},
clamp: {
shell: 4.6,
d: 3,
margin: 2.5,
split: 0.6
},
mswitch: {
size: [ 19.8, 6, 10 ],
screw: {
d: 2, h: 10/2-2,
s: 1.3, // screw shell